!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get skill by ID
skill = client.agent.skills.get(id="<skill-id>")
print(f"{skill.name} (v{skill.version}): {skill.description}")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const skill = await client.agent.skills.get({ id: "<skill-id>" });
console.log(skill);
curl -X GET "https://api.vlm.run/v1/skills/<skill-id>" \
-H "Authorization: Bearer <VLMRUN_API_KEY>"
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"skill_version": "latest",
"skill_uri": "<string>",
"is_public": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Skills
Get Skill
Get a skill by ID.
- Authenticated user: can access their org’s skills and public skills.
- Guest / unauthenticated user: can only access public skills.
GET
/
v1
/
skills
/
{skill_id}
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get skill by ID
skill = client.agent.skills.get(id="<skill-id>")
print(f"{skill.name} (v{skill.version}): {skill.description}")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const skill = await client.agent.skills.get({ id: "<skill-id>" });
console.log(skill);
curl -X GET "https://api.vlm.run/v1/skills/<skill-id>" \
-H "Authorization: Bearer <VLMRUN_API_KEY>"
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"skill_version": "latest",
"skill_uri": "<string>",
"is_public": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# Get skill by ID
skill = client.agent.skills.get(id="<skill-id>")
print(f"{skill.name} (v{skill.version}): {skill.description}")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const skill = await client.agent.skills.get({ id: "<skill-id>" });
console.log(skill);
curl -X GET "https://api.vlm.run/v1/skills/<skill-id>" \
-H "Authorization: Bearer <VLMRUN_API_KEY>"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Skill information response.
Unique skill identifier
Name of the skill
Description of the skill
Version of the skill
GCS URI of the skill zip file
Whether the skill is publicly accessible
Date and time when the skill was created
Date and time when the skill was updated